Results 1 to 2 of 2

Thread: why have the [WARN] that

  1. #1
    Sencha User
    Join Date
    Jan 2012
    Posts
    14
    Vote Rating
    0
      0  

    Default why have the [WARN] that

    [WARN] grouper is deprecated as a property directly on the Ext.data.Store prototype. Please put it inside the config object.

  2. #2
    Sencha Premium User mrsunshine's Avatar
    Join Date
    Sep 2008
    Location
    Germany - Darmstadt
    Posts
    693
    Answers
    21
    Vote Rating
    12
      0  

    Default

    most likely you wrote your store config like that

    PHP Code:
    Ext.define('People', {
        
    extend'Ext.data.Store',
        
    grouper: {
                
    groupFn: function(record) {
                    return 
    record.get('last_name').substr(01);
                },
                
    sortProperty'last_name'
         
    },
        
    config: {
            
    fields: ['first_name''last_name'],
       }
    }); 
    but grouper should be in the config object
    http://docs.sencha.com/touch/2-1/#!/...re-cfg-grouper


    PHP Code:
    Ext.define('People', {
        
    extend'Ext.data.Store',

        
    config: {
            
    fields: ['first_name''last_name'],

            
    grouper: {
                
    groupFn: function(record) {
                    return 
    record.get('last_name').substr(01);
                },
                
    sortProperty'last_name'
            
    }
        }
    }); 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •